Bug 47636 - Unbreak socks-support in licq.
Summary: Unbreak socks-support in licq.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-29 13:10 UTC by Michael Nottebrock
Modified: 2003-01-31 04:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.60 KB, patch)
2003-01-29 13:10 UTC, Michael Nottebrock
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Nottebrock 2003-01-29 13:10:01 UTC
	Licq has some really fancy code for socks, which doesn't work
	with any kind of normal socks5-installation. This patch fixes
	licq's sources and also removes the WITH_DANTE switch from the
	port, because licq never worked with dante's sockslib and headers
	and probably never will (actually the dante port breaks the socks5
	port by overwriting socks.h, but that's another issue).
	
	Changes summary:
		- remove WITH_DANTE
		- fix SOCKS support to work with net/socks5-port.
Comment 1 Tom Hukins freebsd_committer 2003-01-30 17:23:29 UTC
Responsible Changed
From-To: gnats-admin->dinoex

Reassign misfiled PR to MAINTAINER
Comment 2 Dirk Meyer freebsd_committer 2003-01-31 04:49:05 UTC
State Changed
From-To: open->patched
Comment 3 Dirk Meyer freebsd_committer 2003-01-31 04:49:43 UTC
State Changed
From-To: patched->closed

committed, thanks.